class User():
    def __init__(self, mail: str, password: str, id: str, groups: list = []) -> User:
        """
        User: store user data
        :param mail: the mail address
        :type mail: str
        :param password: the password
        :type password: str
        :param id: the uuid
        :type id: str
        :param groups: the lists of groups the user is in
        :type groups: list[Group]
        :return: the user
        :rtype: User
        """
        self.mail = mail
        self.password = password
        self.id = id;
        self.groups = groups

    def __repr__(self):
        return (f"User(mail={self.mail},password={self.password},id={self.id},groups={self.groups})")

    def __str__(self):
        return (self.__repr__())
